# Uses of Enum Class
org.bukkit.block.structure.UsageMode

Packages that use UsageMode
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.block.structure
Classes relevant to structure blocks.

## Uses of UsageMode in org.bukkit.block

Methods in org.bukkit.block that return UsageMode
Modifier and Type
Method
Description
`@NotNull UsageMode`
Structure.`getUsageMode()`
Get the `UsageMode` of this structure block.
Methods in org.bukkit.block with parameters of type UsageMode
Modifier and Type
Method
Description
`void`
Structure.`setUsageMode(@NotNull UsageMode mode)`
Set the `UsageMode` of this structure block.

## Uses of UsageMode in org.bukkit.block.structure

Methods in org.bukkit.block.structure that return UsageMode
Modifier and Type
Method
Description
`static UsageMode`
UsageMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UsageMode[]`
UsageMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.